Remote Desktop overview

With Remote Desktop on Windows XP Professional, you can have access to a Windows session that is running on your computer when you are at another computer. This means, for example, that you can connect to your work computer from home and have access to all of your applications, files, and network resources as though you were in front of your computer at work. You can leave programs running at work and when you get home, you can see your desktop at work displayed on your home computer, with the same programs running.

When you connect to your computer at work, Remote Desktop automatically locks that computer so no one else can access your applications and files while you are gone. When you come back to your computer at work, you can unlock it by typing CTRL+ALT+DEL.

Remote Desktop also allows more than one user to have active sessions on a single computer. This means that multiple users can leave their applications running and preserve the state of their Windows session even while others are logged on.

With Fast User Switching, you can easily switch from one user to another on the same computer. For example, suppose you are working at home and have logged on to the computer at your office to update an expense report. While you are working, a family member needs to use your home computer to check for an important email message. You can disconnect Remote Desktop, allow the other user to log on and check mail, and then reconnect to the computer at your office, where you see the expense report exactly as you left it. Fast User Switching works on standalone computers and computers that are members of workgroups.

Remote Desktop enables a variety of scenarios, including:

  • Working at home - Access work in progress on your office computer from home, including full access to all local and remote devices.
  • Collaborating - Bring your desktop to a colleague's office to debug some code, update a Microsoft PowerPoint slide presentation, or proofread a document.
  • Sharing a console - Allow multiple users to maintain separate program and configuration sessions on a single computer, such as at a teller station or a sales desk.

To use Remote Desktop, you need the following:

  • A computer running Windows XP Professional ("remote" computer) with a connection to a Local Area Network or the Internet.
  • A second computer ("home" computer) with access to the Local Area Network via network connection, modem, or Virtual Private Network (VPN) connection. This computer must have Remote Desktop Connection, formerly called the Terminal Services client, installed.
  • Appropriate user accounts and permissions.


Security best practices

  • Add yourself to the Remote Desktop Users group for your computer. When you do this, you do not have to log on as an administrator to access your computer remotely. You should not add yourself to the Administrators group, and you should avoid running your computer while you are logged on as an administrator unless you are doing tasks that require administrator-only privileges. For most computer activity, log on as a member of the Users or Power Users group. If you need to perform an administrator-only task, log on as an administrator, perform the task, and then log off. For more information, see Why you should not run your computer as an administrator.
  • Require all Remote Desktop Users to log on with a strong password. This is especially important if your computer is connected directly to the Internet by means of a cable modem or DSL connection. For more information, see Creating strong passwords.


Differentiating between Remote Desktop and Remote Assistance

Remote Desktop and Remote Assistance use the same underlying technology, but there are differences between these features.

Remote Desktop allows you to have access to a Windows session that is running on your computer, when you are at another computer. For example, you can use Remote Desktop to connect to your work computer from home, and have access to all of your applications, files, and network resources, as though you were sitting in front of your computer at work.

Remote Assistance allows a helper, for example, a friend, to use an Internet connection to access your computer to provide assistance. The helper sees your computer screen and communicates through a chat box. If you give permission, the helper can remotely control your computer to resolve a problem.


Set up this computer to use Remote Desktop

Microsoft Windows graphic

To set up this computer to use Remote Desktop

  1. Open System in Control Panel.
  2. On the Remote tab, select the Allow users to connect remotely to this computer check box.
  3. Ensure that you have the proper permissions to connect to your computer remotely, and click OK. You must be an administrator or a member of the Remote Desktop Users group on your computer. For more information, see To allow other users to connect to your computer.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to enable the Remote Desktop feature.
  • XOX

Related Topics


Set up your home computer to use Remote Desktop

Microsoft Windows Graphic

To set up your home computer to use Remote Desktop

At your office computer

  1. Print this page and take these instructions to your home computer. Right-click anywhere on the text, and choose Print from the context menu.
  2. Be sure you have the appropriate permission to use Remote Desktop. You must be an Administrator, or you must be a member of the Remote Desktop Users group. If you are not certain that you have the necessary permission, contact your administrator.
  3. You must have the name of your office computer.
  4. You must not turn off your office computer.

Note

  • To determine your network computer name, open System in Control Panel. On the Computer Name tab, locate the Full computer name item. Your computer name is the part of the text string to the left of the first period.

At your home computer

From Windows XP

  1. Connect to your company network by means of Local Area Network (LAN), modem, or Virtual Private Network (VPN) connection.
  2. XOX
  3. Type in the name of the remote computer you want to connect to, and then click Connect.

From an operating system other than Windows XP

  1. Log on to your Internet Service Provider (ISP).
  2. Obtain the necessary client software. (http://www.microsoft.com/downloads)
  3. Install the client software on your home computer.
  4. XOX
  5. Type in the name of the remote computer you want to connect to, and then click Connect.

Related Topics


Obtain the client software

To obtain the client software

To set up your second computer ("home" computer) to use Remote Desktop, you need the following:
  • Access to the remote computer (the computer running Windows XP Professional) by means of Local Area Network (LAN), modem, or Virtual Private Network (VPN) connection.
  • Remote Desktop Connection or Terminal Services client installed on the computer. See the following table for instructions on installing the client software for your operating system.
Operating System | Client version | How to access
Windows XP Home Edition and Windows XP Professional | Remote Desktop Connection installed by default (must be enabled) | Start/Programs/Accessories/Communications/Remote Desktop Connection
Windows 2000 Server | Terminal Services 32-bit Client installed by default | Start/Programs/Terminal Services Client
Windows 95 & Windows 98 | Not installed | See To install Remote Desktop Connection (32-bit computers)
Windows NT 4.0 | Not installed | See To install Remote Desktop Connection (32-bit computers)
Windows NT 3.51 | Not installed | See To install Terminal Services Client (Windows NT 3.51 computers)
Windows for Workgroups | Not installed | See To install Terminal Services Client (16-bit computers)
Windows CE | Not installed | Go to Microsoft.com Download Center (http://www.microsoft.com/) and follow the directions to install the Windows CE client.

Related Topics


Install Remote Desktop Connection (32-bit computers)

To install Remote Desktop Connection (32-bit computers)

  1. On the computer running Windows 95, Windows 98, Windows NT 4.0 or Windows 2000, insert the Windows XP Professional compact disc into your CD-ROM drive.
  2. When the Welcome page appears, click Perform additional tasks, and then click Set up Remote Desktop Connection.
  3. Follow the directions that appear on your screen.


Install Terminal Services Client (16-bit computers)

To install Terminal Services Client (16-bit computers)

  1. On a computer that is running Windows 2000 Server, share the client setup folder.
  2. From the computer that is running Windows for Workgroups, connect to the Local Area Network that contains the computer running Windows 2000 Server.
  3. Connect to the shared folder called Tsclient.
  4. In the Tsclient\Win16 folder, double-click Setup.exe.
  5. Follow the instructions that appear on your screen.

Note

  • To determine the network name of the computer, open System in Control Panel. On the Computer Name tab, locate the Full computer name item. The computer name is the part of the text string to the left of the first period.

Related Topics


Install Terminal Services Client (Windows NT 3.51 computers)

To install Terminal Services Client (Windows NT 3.51 computers)

  1. On a computer that is running Windows 2000 Server, share the client setup folder.
  2. From the computer that is running Windows NT 3.51, connect to the Local Area Network that contains the computer that is running Windows 2000 Server.
  3. Connect to the shared folder called Tsclient.
  4. In the Tsclient\Win32\Acme351 folder, double-click Setup.exe.
  5. Follow the instructions that appear on your screen.

Note

  • To determine the network name of the computer that is running Windows 2000 Server, open System in Control Panel. On the Computer Name tab, locate the Full computer name item. The computer name is the part of the text string to the left of the first period.

Related Topics


Use Remote Desktop Web Connection

This section provides information about Remote Desktop Web Connection. Remote Desktop Web Connection is a Web application consisting of an ActiveX control and sample connection pages. When you set up Remote Desktop Web Connection on a Web server, you can provide client connectivity to terminal servers and other computers via Internet Explorer and TCP/IP.

This section provides general background information about setting up Remote Desktop Web Connection:

  • About Remote Desktop Web Connection.
  • Setting up Remote Desktop Web Connection.
  • Install Remote Desktop Web Connection
  • Connect to another computer using Remote Desktop Web Connection


About Remote Desktop Web Connection

Remote Desktop Web Connection is a Web application that consists of an ActiveX control, sample ASP pages, and other files. When deployed on a Web server, Remote Desktop Web Connection allows users to create a connection with the remote desktop of another computer inside Internet Explorer, even if the Remote Desktop Connection program, formerly known as the Terminal Server client, is not installed on the user's computer.

Remote Desktop Web Connection offers the following:

  • Simple, straightforward deployment of the client portion of Terminal Server or Remote Desktop applications. With Remote Desktop Web Connection, deploying a terminal server connection can be as easy as sending a URL.
  • Support for roaming users. Users who are away from their computers can use Remote Desktop Web Connection to gain secure access to their primary workstation or favorite terminal server from any computer running Windows and Internet Explorer.
  • A lowest common denominator cross-platform system. Remote Desktop Web Connection may meet the needs of organizations that want identical clients on all platforms.
  • Delivery of extranet applications. Corporations that want to deploy terminal server or Remote Desktop connections to vendors, suppliers, or customers can use Remote Desktop Web Connection to distribute them easily, inexpensively, and efficiently over the Internet.

For information on using Remote Desktop Web Connection from the client computer, see To connect to another computer using Remote Desktop Web Connection.


Setting up Remote Desktop Web Connection

Remote Desktop Web Connection is an optional World Wide Web Service component of Internet Information Services, which is included by default in Windows XP Professional and Windows 2000. Remote Desktop Web Connection is not installed by default, but must be installed using Add or Remove Programs.

When you install Remote Desktop Web Connection, the files are copied by default to the %systemroot%\Web\Tsweb directory of your webserver. The included sample default.htm and connect.asp page can be used as is, or you can modify them to meet the needs of your application.

On the client side, Remote Desktop Web Connection requires that the computer have a TCP/IP connection to the Internet or network, and be running Microsoft Internet Explorer 4.0 or higher.

For more information, see:

  • To install Remote Desktop Web Connection.
  • To connect to another computer using Remote Desktop Web Connection.

For information on customizing Remote Desktop Web Connection, see the Microsoft Platform SDK.


Install Remote Desktop Web Connection

To install Remote Desktop Web Connection

  1. Open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. Select Internet Information Services, and then click Details.
  4. In the Subcomponents of Internet Information Services list, select World Wide Web Service, and then click Details.
  5. In the Subcomponents for World Wide Web Service list, click the Remote Desktop Web Connection check box, and then click OK.
  6. In the Windows Components Wizard, click Next.
  7. Open Internet Services Manager.
  8. Expand the folder hierarchy until you reach the local computer name\Web Sites\Default Web Site\tsweb folder.
  9. Right-click the tsweb folder and then click Properties.
  10. Click the Directory Security tab on the Properties dialog box.
  11. In Anonymous access and authentication control, click Edit....
  12. Check the Anonymous access check box on the Authentication Methods dialog box, and then click OK twice.

Notes

  • XOX
  • Internet Information Services is not installed on Windows XP Professional by default.
  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • XOX

  • For information on using Remote Desktop Web Connection from the client computer, see To connect to another computer using Remote Desktop Web Connection.

Related Topics


Connect to another computer using Remote Desktop Web Connection

To connect to another computer using Remote Desktop Web Connection

  1. Ensure that Remote Desktop Web Connection is installed and running on the Web server. For more information, see Setting up Remote Desktop Web Connection.
  2. Ensure that your client computer has an active network connection and that the WINS server service (or other name resolution method) is functioning.
  3. On your client computer, start Microsoft Internet Explorer.

  4. In the Address box, type the Uniform Resource Locator (URL) for the home directory of the Web server hosting Remote Desktop Web Connection.

    The URL is "http://" followed by the Windows Networking name of your server, followed by the path of the directory containing the Remote Desktop Web Connection files (default = /Tsweb/). (Note the forward slash marks.) For example, if your Web server is registered with the WINS server as "Admin1", in the Address box you type: http://admin1/tsweb/, and then press ENTER. The Remote Desktop Web Connection page appears on the screen.

  5. In Server, type the name of the remote computer to which you want to connect.
  6. Optionally, specify the screen size and logon information for your connection.
  7. Click Connect.

Notes

  • Remote Desktop Web Connection requires Internet Explorer 4.0 or higher.


Disable Remote Desktop

To disable Remote Desktop

  1. Click System in Control Panel.
  2. On the Remote tab, clear the Allow users to connect remotely to your computer check box, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to disable the Remote Desktop feature.
  • XOX


Allow other users to connect to your computer

To allow other users to connect to your computer

  1. Open System in Control Panel.
  2. Click the Remote tab.
  3. In the Remote Desktop area, click Select Remote Users....
  4. On the Remote Desktop Users dialog box, click Add....
  5. On the Select Users dialog box, click Locations... to specify the search location.
  6. Click Object Types... to specify the types of objects you want to search for.
  7. In the Enter the object names to select (examples): box, type the names of the objects you want to search for.
  8. Click Check Names.
  9. When the name is located, click OK. The name now appears in the list of users on the Remote Desktop Users dialog box.

Notes

  • XOX
  • You must be logged on as an administrator or a member of the Administrators group to add a user to the Remote Users Group.

Related Topics


Change the icon associated with the shortcut to a connection file

Microsoft Windows Graphic

To change the icon associated with the shortcut to a connection file

  1. Create a connection file (.rdp file), or use an existing .rdp file.
  2. Open Windows Explorer and create a shortcut to the .rdp file.
  3. Right-click the shortcut, click Properties, and then click Change Icon.
  4. Select an icon in the list on the Change Icon dialog box, and then click OK.
  5. Click OK to close the Shortcut Properties dialog box.
  6. Deploy the .rdp file and the shortcut to the appropriate users.

Notes

  • You might have to deploy the icon (.ico) file also, if it is not available on the users' computers.
  • By default, .rdp files are saved as hidden files in My Documents.

Related Topics


Troubleshooting

  • Troubleshooting General Error Messages
  • Troubleshooting Licensing Error Messages
  • Troubleshooting Specific Problems


Share the client setup folder

To share the client setup folder

  1. On a computer that is running Windows 2000 Server, open Windows Explorer.
  2. Browse to the %Systemroot%\System32\Clients\Tsclient folder, where Systemroot is the folder containing your Windows installation files, for example, C:\Windows\System32\Clients\Tsclient.
  3. Right-click the Tsclient folder, and then click Sharing....
  4. Click Share this folder, click Apply, and then click OK.

    The share name is displayed as Tsclient. You can change the name by typing a new name in the Share name: box. You can change the user limit by clicking Allow and choosing a number from the list box.

Notes

  • To open Windows Explorer on Windows 2000 Server, click Start, click Programs, click Accessories, and then click Windows Explorer.
  • To share folders and drives, you must be logged on as a member of the Administrators, Server Operators, or Power Users group.

Related Topics